mkdir -p './dbus-1/session.d'
mkdir -p './dbus-1/system.d'
mkdir -p './fail2ban/fail2ban.d'
-mkdir -p './glvnd/egl_vendor.d'
mkdir -p './initramfs-tools/conf.d'
mkdir -p './initramfs-tools/hooks'
mkdir -p './initramfs-tools/scripts/init-bottom'
maybe chmod 0755 'ghostscript'
maybe chmod 0755 'ghostscript/fontmap.d'
maybe chmod 0644 'ghostscript/fontmap.d/10gsfonts.conf'
-maybe chmod 0755 'glvnd'
-maybe chmod 0755 'glvnd/egl_vendor.d'
maybe chmod 0755 'groff'
maybe chmod 0644 'groff/man.local'
maybe chmod 0644 'groff/mdoc.local'
maybe chmod 0755 'init.d/bootlogs'
maybe chmod 0755 'init.d/bootmisc.sh'
maybe chmod 0755 'init.d/brightness'
-maybe chmod 0755 'init.d/cgmanager'
-maybe chmod 0755 'init.d/cgproxy'
maybe chmod 0755 'init.d/checkfs.sh'
maybe chmod 0755 'init.d/checkroot-bootclean.sh'
maybe chmod 0755 'init.d/checkroot.sh'
maybe chmod 0755 'init.d/umountroot'
maybe chmod 0755 'init.d/urandom'
maybe chmod 0755 'init.d/x11-common'
-maybe chmod 0644 'init/cgmanager.conf'
-maybe chmod 0644 'init/cgproxy.conf'
maybe chmod 0644 'init/salt-minion.conf'
maybe chmod 0755 'initramfs-tools'
maybe chmod 0755 'initramfs-tools/conf.d'
maybe chmod 0644 'php/7.0/mods-available/exif.ini'
maybe chmod 0644 'php/7.0/mods-available/fileinfo.ini'
maybe chmod 0644 'php/7.0/mods-available/ftp.ini'
-maybe chmod 0644 'php/7.0/mods-available/gd.ini'
maybe chmod 0644 'php/7.0/mods-available/gettext.ini'
maybe chmod 0644 'php/7.0/mods-available/gmp.ini'
maybe chmod 0644 'php/7.0/mods-available/iconv.ini'
-maybe chmod 0644 'php/7.0/mods-available/imap.ini'
maybe chmod 0644 'php/7.0/mods-available/intl.ini'
maybe chmod 0644 'php/7.0/mods-available/json.ini'
maybe chmod 0644 'php/7.0/mods-available/ldap.ini'
maybe chmod 0644 'php/7.0/mods-available/mbstring.ini'
maybe chmod 0644 'php/7.0/mods-available/mcrypt.ini'
-maybe chmod 0644 'php/7.0/mods-available/mysqli.ini'
-maybe chmod 0644 'php/7.0/mods-available/mysqlnd.ini'
maybe chmod 0644 'php/7.0/mods-available/opcache.ini'
maybe chmod 0644 'php/7.0/mods-available/pdo.ini'
-maybe chmod 0644 'php/7.0/mods-available/pdo_mysql.ini'
maybe chmod 0644 'php/7.0/mods-available/pdo_pgsql.ini'
maybe chmod 0644 'php/7.0/mods-available/pgsql.ini'
maybe chmod 0644 'php/7.0/mods-available/phar.ini'
maybe chmod 0644 'php/7.0/mods-available/sysvmsg.ini'
maybe chmod 0644 'php/7.0/mods-available/sysvsem.ini'
maybe chmod 0644 'php/7.0/mods-available/sysvshm.ini'
-maybe chmod 0644 'php/7.0/mods-available/tidy.ini'
maybe chmod 0644 'php/7.0/mods-available/tokenizer.ini'
maybe chmod 0644 'php/7.0/mods-available/wddx.ini'
maybe chmod 0644 'php/7.0/mods-available/xml.ini'
maybe chmod 0644 'php/7.0/mods-available/xmlreader.ini'
maybe chmod 0644 'php/7.0/mods-available/xmlwriter.ini'
maybe chmod 0644 'php/7.0/mods-available/xsl.ini'
-maybe chmod 0644 'php/7.0/mods-available/zip.ini'
maybe chmod 0755 'php/7.2'
maybe chmod 0755 'php/7.2/mods-available'
maybe chmod 0644 'php/7.2/mods-available/smbclient.ini'
maybe chmod 0755 'python2.7'
maybe chmod 0644 'python2.7/sitecustomize.py'
maybe chmod 0755 'python3'
-maybe chmod 0755 'python3.5'
-maybe chmod 0644 'python3.5/sitecustomize.py'
maybe chmod 0755 'python3.7'
maybe chmod 0644 'python3.7/sitecustomize.py'
maybe chmod 0644 'python3/debian_config'
maybe chmod 0644 'sensors.d/.placeholder'
maybe chmod 0644 'sensors3.conf'
maybe chmod 0644 'services'
-maybe chmod 0755 'sgml'
-maybe chmod 0644 'sgml/xml-core.cat'
maybe chgrp 'shadow' 'shadow'
maybe chmod 0640 'shadow'
maybe chgrp 'shadow' 'shadow-'
maybe chmod 0644 'xattr.conf'
maybe chmod 0755 'xdg'
maybe chmod 0755 'xdg/systemd'
-maybe chmod 0755 'xml'
-maybe chmod 0644 'xml/catalog'
-maybe chmod 0644 'xml/xml-core.xml'
maybe chmod 0755 'zsh'
maybe chmod 0644 'zsh/newuser.zshrc.recommended'
maybe chmod 0644 'zsh/zlogin'
+++ /dev/null
-/usr/bin/file-rename
\ No newline at end of file
+++ /dev/null
-/usr/share/man/man1/file-rename.1p.gz
\ No newline at end of file
+++ /dev/null
-#! /bin/sh
-### BEGIN INIT INFO
-# Provides: cgmanager
-# Required-Start: mountkernfs
-# Required-Stop:
-# Default-Start: 2 3 4 5
-# Default-Stop: 0 1 6
-# Short-Description: Cgroup manager daemon
-# Description:
-# The cgroup manager accepts cgroup administration requests
-# over dbus, honoring privilege by root users in mapped user
-# namespaces over the non-root mapped uids. This allows safe
-# nesting of lxc containers by unprivileged users.
-### END INIT INFO
-
-# Do NOT "set -e"
-
-PATH=/sbin:/bin
-
-DAEMON=/sbin/cgmanager
-NAME=cgmanager
-DESC="cgroup management daemon"
-
-BASEOPTS="--daemon -m name=systemd"
-
-test -x $DAEMON || exit 0
-
-PIDFILE=/run/$NAME.pid
-
-if [ -f /etc/default/cgmanager ]; then
- # get cgmanager_opts if specified
- . /etc/default/cgmanager
-fi
-
-# Load the VERBOSE setting and other rcS variables
-. /lib/init/vars.sh
-
-# Define LSB log_* functions.
-# Depend on lsb-base (>= 3.2-14) to ensure that this file is present
-# and status_of_proc is working.
-. /lib/lsb/init-functions
-
-DAEMON_ARGS="$BASEOPTS $cgmanager_opts $cgm_extra_mounts"
-
-do_stop()
-{
- # If the cgmanager stops, the proxy must stop
- /etc/init.d/cgproxy stop >/dev/null 2>&1 || true
- # Return
- # 0 if daemon has been stopped
- # 1 if daemon was already stopped
- # 2 if daemon could not be stopped
- # other if a failure occurred
- start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PIDFILE --name $NAME
- RETVAL="$?"
- [ "$RETVAL" = 2 ] && return 2
- # Wait for children to finish too if this is a daemon that forks
- # and if the daemon is only ever run from this initscript.
- # If the above conditions are not satisfied then add some other code
- # that waits for the process to drop all resources that could be
- # needed by services started subsequently. A last resort is to
- # sleep for some time.
- start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --exec $DAEMON
- [ "$?" = 2 ] && return 2
- # Many daemons don't delete their pidfiles when they exit.
- rm -f $PIDFILE
- return "$RETVAL"
-}
-
-do_start()
-{
- # Return
- # 0 if daemon has been started
- # 1 if daemon was already running
- # 2 if daemon could not be started
- start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON --test > /dev/null \
- || return 1
-
- # Kill any existing cgproxy
- /etc/init.d/cgproxy stop >/dev/null 2>&1 || true
- # check whether to start cgproxy or cgmanager
- if /sbin/cgproxy --check-master; then
- NESTED=yes /etc/init.d/cgproxy start || true && { exit 0; }
- fi
-
- start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON -- \
- $DAEMON_ARGS \
- || return $?
- # Todo - once the compiled cgm is installed we could use it here to ping
- # cgmanager as our test for readiness.
- sleep 1
-}
-
-case "$1" in
- restart|force-reload)
- log_daemon_msg "Restarting $DESC" "$NAME"
- do_stop
- case "$?" in
- 0|1)
- do_start
- case "$?" in
- 0) log_end_msg 0 ;;
- 1) log_end_msg 1 ;; # Old process is still running
- *) log_end_msg 1 ;; # Failed to start
- esac
- ;;
- *)
- # Failed to stop
- log_end_msg 1
- ;;
- esac
- ;;
- start)
- log_daemon_msg "Starting $DESC" "$NAME"
- do_start
- case "$?" in
- 0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
- 2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
- esac
- ;;
- stop)
- log_daemon_msg "Stopping $DESC" "$NAME"
- do_stop
- case "$?" in
- 0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
- 2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
- esac
- ;;
- status)
- status_of_proc -p $PIDFILE "$DAEMON" "$NAME" && exit 0 || exit $?
- ;;
- *)
- echo "Usage: $0 {start|stop|restart|force-reload}" >&2
- exit 3
- ;;
-esac
-
-:
+++ /dev/null
-#! /bin/sh
-### BEGIN INIT INFO
-# Provides: cgproxy
-# Required-Start: cgmanager
-# Required-Stop:
-# Default-Start: 2 3 4 5
-# Default-Stop: 0 1 6
-# Short-Description: Cgroup manager daemon
-# Description:
-# The cgroup manager accepts cgroup administration requests
-# over dbus, honoring privilege by root users in mapped user
-# namespaces over the non-root mapped uids. This allows safe
-# nesting of lxc containers by unprivileged users.
-### END INIT INFO
-
-# Do NOT "set -e"
-
-PATH=/sbin:/bin
-
-DAEMON=/sbin/cgproxy
-NAME=cgproxy
-DESC="cgroup management proxy daemon"
-
-BASEOPTS="--daemon"
-
-test -x $DAEMON || exit 0
-
-PIDFILE=/run/$NAME.pid
-
-if [ -f /etc/default/cgmanager ]; then
- # get cgmanager_opts if specified
- . /etc/default/cgmanager
-fi
-
-# Load the VERBOSE setting and other rcS variables
-. /lib/init/vars.sh
-
-# Define LSB log_* functions.
-# Depend on lsb-base (>= 3.2-14) to ensure that this file is present
-# and status_of_proc is working.
-. /lib/lsb/init-functions
-
-DAEMON_ARGS="$BASEOPTS $cgmanager_opts"
-
-do_stop()
-{
- # Return
- # 0 if daemon has been stopped
- # 1 if daemon was already stopped
- # 2 if daemon could not be stopped
- # other if a failure occurred
- start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PIDFILE --name $NAME
- RETVAL="$?"
- [ "$RETVAL" = 2 ] && return 2
- # Wait for children to finish too if this is a daemon that forks
- # and if the daemon is only ever run from this initscript.
- # If the above conditions are not satisfied then add some other code
- # that waits for the process to drop all resources that could be
- # needed by services started subsequently. A last resort is to
- # sleep for some time.
- start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --exec $DAEMON
- [ "$?" = 2 ] && return 2
- # Many daemons don't delete their pidfiles when they exit.
- rm -f $PIDFILE
- return "$RETVAL"
-}
-
-do_start()
-{
- # Return
- # 0 if daemon has been started
- # 1 if daemon was already running
- # 2 if daemon could not be started
- start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON --test > /dev/null \
- || return 1
-
- # cgproxy should only run on container unless on older kernel
- if [ -e /proc/self/ns/pid ] && [ "$NESTED" != "yes" ]; then
- log_end_msg 0
- exit 0
- fi
-
- start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON -- \
- $DAEMON_ARGS \
- || return $?
- # Todo - once the compiled cgm is installed we could use it here to ping
- # cgmanager as our test for readiness.
- sleep 1
-}
-
-case "$1" in
- restart|force-reload)
- log_daemon_msg "Restarting $DESC" "$NAME"
- do_stop
- case "$?" in
- 0|1)
- do_start
- case "$?" in
- 0) log_end_msg 0 ;;
- 1) log_end_msg 1 ;; # Old process is still running
- *) log_end_msg 1 ;; # Failed to start
- esac
- ;;
- *)
- # Failed to stop
- log_end_msg 1
- ;;
- esac
- ;;
- start)
- log_daemon_msg "Starting $DESC" "$NAME"
- do_start
- case "$?" in
- 0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
- 2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
- esac
- ;;
- stop)
- log_daemon_msg "Stopping $DESC" "$NAME"
- do_stop
- case "$?" in
- 0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
- 2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
- esac
- ;;
- status)
- status_of_proc -p $PIDFILE "$DAEMON" "$NAME" && exit 0 || exit $?
- ;;
- *)
- echo "Usage: $0 {start|stop|restart|force-reload}" >&2
- exit 3
- ;;
-esac
-
-:
+++ /dev/null
-description "cgroup management daemon"
-author "Serge Hallyn <serge.hallyn@ubuntu.com>"
-
-respawn
-expect stop
-
-# in trusty /sys/fs/cgroup will be mounted for us.
-# prior to saucy, we would need to start on mounted
-# MOUNTPOINT=/sys, and mount /sys/fs/cgroup ourselves
-start on mounted MOUNTPOINT=/sys/fs/cgroup or virtual-filesystems or starting dbus
-stop on runlevel [06]
-
-# to get debug output into /var/log/upstart/cgmanager.log, create/edit
-# /etc/default/cgmanager and set cgmanager_opts="--debug"
-env cgmanager_opts=""
-
-# unbound subsystems cgmanager should mount. If you need to add more,
-# make the list comma-separated, for instance:
-# env cgm_extra_mounts="-m name=systemd,name=yyy"
-env cgm_extra_mounts="-m name=systemd"
-
-pre-start script
- # Kill any existing cgproxy. This is required to allow proper
- # respawning of cgmanager.
- stop cgproxy >/dev/null 2>&1 || true
-
- # check whether we should start a cgproxy or a cgmanager
- if cgproxy --check-master; then
- start cgproxy NESTED=yes || true && { stop; exit 0; }
- fi
-end script
-
-script
- [ -r /etc/default/cgmanager ] && . /etc/default/cgmanager
-
- exec /sbin/cgmanager --sigstop $cgmanager_opts $cgm_extra_mounts
-end script
-
-post-start script
- initctl notify-cgroup-manager-address "unix:path=/sys/fs/cgroup/cgmanager/sock" || true
-end script
+++ /dev/null
-description "cgroup management proxy"
-author "Serge Hallyn <serge.hallyn@ubuntu.com>"
-
-respawn
-expect stop
-emits cgmanager-ready
-
-# in trusty /sys/fs/cgroup will be mounted for us.
-# prior to saucy, we would need to start on mounted
-# MOUNTPOINT=/sys, and mount /sys/fs/cgroup ourselves
-start on started cgmanager
-stop on runlevel [06]
-
-# to get debug output into /var/log/upstart/cgproxy.log, create/edit
-# /etc/default/cgmanager and set cgmanager_opts="--debug"
-env cgmanager_opts=""
-env NESTED="no"
-
-pre-start script
- # check whether we should start
- if [ -e /proc/self/ns/pid ] && [ "$NESTED" = "no" ]; then
- initctl emit -n cgmanager-ready
- { stop; exit 0; }
- fi
-end script
-
-script
- [ -r /etc/default/cgmanager ] && . /etc/default/cgmanager
-
- exec /sbin/cgproxy --sigstop $cgmanager_opts
-end script
-
-post-start script
-initctl emit -n cgmanager-ready
-initctl notify-cgroup-manager-address "unix:path=/sys/fs/cgroup/cgmanager/sock" || true
-end script
+++ /dev/null
-/etc/php/7.0/mods-available/mysqlnd.ini
\ No newline at end of file
+++ /dev/null
-/etc/php/7.0/mods-available/gd.ini
\ No newline at end of file
+++ /dev/null
-/etc/php/7.0/mods-available/imap.ini
\ No newline at end of file
+++ /dev/null
-/etc/php/7.0/mods-available/mysqli.ini
\ No newline at end of file
+++ /dev/null
-/etc/php/7.0/mods-available/pdo_mysql.ini
\ No newline at end of file
+++ /dev/null
-/etc/php/7.0/mods-available/tidy.ini
\ No newline at end of file
+++ /dev/null
-/etc/php/7.0/mods-available/zip.ini
\ No newline at end of file
+++ /dev/null
-/etc/php/7.0/mods-available/mysqlnd.ini
\ No newline at end of file
+++ /dev/null
-/etc/php/7.0/mods-available/gd.ini
\ No newline at end of file
+++ /dev/null
-/etc/php/7.0/mods-available/imap.ini
\ No newline at end of file
+++ /dev/null
-/etc/php/7.0/mods-available/mysqli.ini
\ No newline at end of file
+++ /dev/null
-/etc/php/7.0/mods-available/pdo_mysql.ini
\ No newline at end of file
+++ /dev/null
-/etc/php/7.0/mods-available/tidy.ini
\ No newline at end of file
+++ /dev/null
-/etc/php/7.0/mods-available/zip.ini
\ No newline at end of file
+++ /dev/null
-; configuration for php gd module
-; priority=20
-extension=gd.so
+++ /dev/null
-; configuration for php imap module
-; priority=20
-extension=imap.so
+++ /dev/null
-; configuration for php mysql module
-; priority=20
-extension=mysqli.so
+++ /dev/null
-; configuration for php mysql module
-; priority=10
-extension=mysqlnd.so
+++ /dev/null
-; configuration for php mysql module
-; priority=20
-extension=pdo_mysql.so
+++ /dev/null
-; configuration for php tidy module
-; priority=20
-extension=tidy.so
+++ /dev/null
-; configuration for php zip module
-; priority=20
-extension=zip.so
+++ /dev/null
-# install the apport exception handler if available
-try:
- import apport_python_hook
-except ImportError:
- pass
-else:
- apport_python_hook.install()
+++ /dev/null
-../init.d/cgmanager
\ No newline at end of file
+++ /dev/null
-../init.d/cgproxy
\ No newline at end of file
+++ /dev/null
-../init.d/cgmanager
\ No newline at end of file
+++ /dev/null
-../init.d/cgproxy
\ No newline at end of file
+++ /dev/null
-../init.d/cgmanager
\ No newline at end of file
+++ /dev/null
-../init.d/cgproxy
\ No newline at end of file
+++ /dev/null
-../init.d/cgmanager
\ No newline at end of file
+++ /dev/null
-../init.d/cgproxy
\ No newline at end of file
+++ /dev/null
-../init.d/cgmanager
\ No newline at end of file
+++ /dev/null
-../init.d/cgproxy
\ No newline at end of file
+++ /dev/null
-../init.d/cgmanager
\ No newline at end of file
+++ /dev/null
-../init.d/cgproxy
\ No newline at end of file
+++ /dev/null
-../init.d/cgmanager
\ No newline at end of file
+++ /dev/null
-../init.d/cgproxy
\ No newline at end of file
+++ /dev/null
-/var/lib/sgml-base/supercatalog
\ No newline at end of file
+++ /dev/null
-CATALOG /usr/share/sgml/dtd/xml-core/catalog
+++ /dev/null
-<?xml version="1.0"?>
-<!DOCTYPE catalog PUBLIC "-//OASIS//DTD XML Catalogs V1.0//EN"
- "file:///usr/share/xml/schema/xml-core/catalog.dtd">
-<catalog xmlns="urn:oasis:names:tc:entity:xmlns:xml:catalog">
-<delegatePublic publicIdStartString="-//GlobalTransCorp//DTD XML Catalogs V1.0-Based Extension V1.0//EN" catalog="file:///etc/xml/xml-core.xml"/>
-<delegatePublic publicIdStartString="-//OASIS//DTD XML Catalogs V1.0//EN" catalog="file:///etc/xml/xml-core.xml"/>
-<delegateSystem systemIdStartString="http://globaltranscorp.org/oasis/catalog/xml/tr9401.dtd" catalog="file:///etc/xml/xml-core.xml"/>
-<delegateSystem systemIdStartString="http://www.oasis-open.org/committees/entity/release/1.0/catalog.dtd" catalog="file:///etc/xml/xml-core.xml"/>
-</catalog>
+++ /dev/null
-<?xml version="1.0"?>
-<!DOCTYPE catalog PUBLIC "-//OASIS//DTD XML Catalogs V1.0//EN"
- "file:///usr/share/xml/schema/xml-core/catalog.dtd">
-<catalog xmlns="urn:oasis:names:tc:entity:xmlns:xml:catalog">
-<delegatePublic publicIdStartString="-//GlobalTransCorp//DTD XML Catalogs V1.0-Based Extension V1.0//EN" catalog="file:///usr/share/xml/schema/xml-core/catalog.xml"/>
-<delegatePublic publicIdStartString="-//OASIS//DTD XML Catalogs V1.0//EN" catalog="file:///usr/share/xml/schema/xml-core/catalog.xml"/>
-<delegateSystem systemIdStartString="http://globaltranscorp.org/oasis/catalog/xml/tr9401.dtd" catalog="file:///usr/share/xml/schema/xml-core/catalog.xml"/>
-<delegateSystem systemIdStartString="http://www.oasis-open.org/committees/entity/release/1.0/catalog.dtd" catalog="file:///usr/share/xml/schema/xml-core/catalog.xml"/>
-</catalog>